STRUCT TEMPLATE I(3)

NAME
boost::proto::is_expr - A Boolean metafunction that indicates whether a given type T is a Proto expression type.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename T>
struct is_expr :  mpl::bool_<true-or-false> {
};

DESCRIPTION

If T is an instantiation of proto::expr<> or proto::basic_expr<> or is an extension (via proto::extends<> or BOOST_PROTO_EXTENDS()) of such an instantiation, proto::is_expr<T>::value is true. Otherwise, proto::is_expr<T>::value is false.